mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

This interface is implemented by a class or value type that provides a service to other objects.

The method of this interface obtains the object that provides the service.

The interface is implemented by a number of types, including , , , and .

Defines a mechanism for retrieving a service object; that is, an object that provides custom support to other objects.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object `` To be added

  Gets the service object of the specified type.

  A service object of type .

  -or-

  null if there is no service object of type .

  An object that specifies the type of service object to get.